org.apache.flume.serialization

## Interface EventSerializer.Builder

- All Known Implementing Classes:
    AvroEventSerializer.Builder, BodyTextEventSerializer.Builder, FlumeEventAvroEventSerializer.Builder, HeaderAndBodyTextEventSerializer.Builder
  Enclosing interface:
    EventSerializer

      public static interface EventSerializer.Builder

  Knows how to construct this event serializer.
  Note: Implementations MUST provide a public a no-arg constructor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventSerializer` | `build(Context context, OutputStream out)`

- - ### Method Detail

    - #### build

          EventSerializer build(Context context,
                              OutputStream out)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.